from gpiozero import Button
from time import sleep
import subprocess

# Define the button GPIO pin (adjust pin number as needed)
button_pin = 17
button = Button(button_pin, bounce_time=0.1)  # Set a debounce time of 0.1 seconds

def start_program():
    subprocess.run(["/home/bera/vi_chatgpt.sh"])

# When the button is pressed, start the program
button.when_pressed = start_program

# Keep the script running
try:
    while True:
        sleep(0.1)  # Add a short delay to reduce CPU usage
except KeyboardInterrupt:
    pass  # Handle keyboard interrupt (Ctrl+C) if needed
